BEGIN TRANSACTION

DECLARE @11 bigint
DECLARE @21 bigint
DECLARE @22 bigint
DECLARE @23 bigint
DECLARE @31 bigint
DECLARE @42 bigint
DECLARE @44 bigint
DECLARE @48 bigint
DECLARE @51 bigint
DECLARE @52 bigint
DECLARE @53 bigint
DECLARE @54 bigint
DECLARE @55 bigint
DECLARE @56 bigint
DECLARE @61 bigint
DECLARE @62 bigint
DECLARE @71 bigint
DECLARE @72 bigint
DECLARE @81 bigint
DECLARE @92 bigint

SELECT @11 = Id FROM NAICS WHERE Code = '11'
SELECT @21 = Id FROM NAICS WHERE Code = '21'
SELECT @22 = Id FROM NAICS WHERE Code = '22'
SELECT @23 = Id FROM NAICS WHERE Code = '23'
SELECT @31 = Id FROM NAICS WHERE Code = '31-33'
SELECT @42 = Id FROM NAICS WHERE Code = '42'
SELECT @44 = Id FROM NAICS WHERE Code = '44-45'
SELECT @48 = Id FROM NAICS WHERE Code = '48-49'
SELECT @51 = Id FROM NAICS WHERE Code = '51'
SELECT @52 = Id FROM NAICS WHERE Code = '52'
SELECT @53 = Id FROM NAICS WHERE Code = '53'
SELECT @54 = Id FROM NAICS WHERE Code = '54'
SELECT @55 = Id FROM NAICS WHERE Code = '55'
SELECT @56 = Id FROM NAICS WHERE Code = '56'
SELECT @61 = Id FROM NAICS WHERE Code = '61'
SELECT @62 = Id FROM NAICS WHERE Code = '62'
SELECT @71 = Id FROM NAICS WHERE Code = '71'
SELECT @72 = Id FROM NAICS WHERE Code = '72'
SELECT @81 = Id FROM NAICS WHERE Code = '81'
SELECT @92 = Id FROM NAICS WHERE Code = '92'

UPDATE NAICS SET ParentId = @11 WHERE SUBSTRING(Code, 1, 2) = '11' AND Id <> @11
UPDATE NAICS SET ParentId = @21 WHERE SUBSTRING(Code, 1, 2) = '21' AND Id <> @21
UPDATE NAICS SET ParentId = @22 WHERE SUBSTRING(Code, 1, 2) = '22' AND Id <> @22
UPDATE NAICS SET ParentId = @23 WHERE SUBSTRING(Code, 1, 2) = '23' AND Id <> @23
UPDATE NAICS SET ParentId = @31 WHERE SUBSTRING(Code, 1, 2) = '31' AND Id <> @31
UPDATE NAICS SET ParentId = @31 WHERE SUBSTRING(Code, 1, 2) = '32' AND Id <> @31
UPDATE NAICS SET ParentId = @31 WHERE SUBSTRING(Code, 1, 2) = '33' AND Id <> @31
UPDATE NAICS SET ParentId = @42 WHERE SUBSTRING(Code, 1, 2) = '42' AND Id <> @42
UPDATE NAICS SET ParentId = @44 WHERE SUBSTRING(Code, 1, 2) = '44' AND Id <> @44
UPDATE NAICS SET ParentId = @44 WHERE SUBSTRING(Code, 1, 2) = '45' AND Id <> @44
UPDATE NAICS SET ParentId = @48 WHERE SUBSTRING(Code, 1, 2) = '48' AND Id <> @48
UPDATE NAICS SET ParentId = @48 WHERE SUBSTRING(Code, 1, 2) = '49' AND Id <> @48
UPDATE NAICS SET ParentId = @51 WHERE SUBSTRING(Code, 1, 2) = '51' AND Id <> @51
UPDATE NAICS SET ParentId = @52 WHERE SUBSTRING(Code, 1, 2) = '52' AND Id <> @52
UPDATE NAICS SET ParentId = @53 WHERE SUBSTRING(Code, 1, 2) = '53' AND Id <> @53
UPDATE NAICS SET ParentId = @54 WHERE SUBSTRING(Code, 1, 2) = '54' AND Id <> @54
UPDATE NAICS SET ParentId = @55 WHERE SUBSTRING(Code, 1, 2) = '55' AND Id <> @55
UPDATE NAICS SET ParentId = @56 WHERE SUBSTRING(Code, 1, 2) = '56' AND Id <> @56
UPDATE NAICS SET ParentId = @61 WHERE SUBSTRING(Code, 1, 2) = '61' AND Id <> @61
UPDATE NAICS SET ParentId = @62 WHERE SUBSTRING(Code, 1, 2) = '62' AND Id <> @62
UPDATE NAICS SET ParentId = @71 WHERE SUBSTRING(Code, 1, 2) = '71' AND Id <> @71
UPDATE NAICS SET ParentId = @72 WHERE SUBSTRING(Code, 1, 2) = '72' AND Id <> @72
UPDATE NAICS SET ParentId = @81 WHERE SUBSTRING(Code, 1, 2) = '81' AND Id <> @81
UPDATE NAICS SET ParentId = @92 WHERE SUBSTRING(Code, 1, 2) = '92' AND Id <> @92

COMMIT TRANSACTION